Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.wst
Class Status

    java.lang.Object
      com.arjuna.wst.Status

public class Status
extends java.lang.Object

Field Summary
`static java.lang.String` | `STATUS_ACTIVE`
`static java.lang.String` | `STATUS_CANCELING`
`static java.lang.String` | `STATUS_CANCELING_ACTIVE`
`static java.lang.String` | `STATUS_CANCELING_COMPLETING`
`static java.lang.String` | `STATUS_CLOSING`
`static java.lang.String` | `STATUS_COMPENSATING`
`static java.lang.String` | `STATUS_COMPLETED`
`static java.lang.String` | `STATUS_COMPLETING`
`static java.lang.String` | `STATUS_ENDED`
`static java.lang.String` | `STATUS_EXITING`
`static java.lang.String` | `STATUS_FAULTING`
`static java.lang.String` | `STATUS_FAULTING_ACTIVE`
`static java.lang.String` | `STATUS_FAULTING_COMPENSATING`

Constructor Summary
`Status()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_ACTIVE

    public static final java.lang.String STATUS_ACTIVE

See Also:
  Constant Field Values

### STATUS_CANCELING

    public static final java.lang.String STATUS_CANCELING

See Also:
  Constant Field Values

### STATUS_CANCELING_ACTIVE

    public static final java.lang.String STATUS_CANCELING_ACTIVE

See Also:
  Constant Field Values

### STATUS_CANCELING_COMPLETING

    public static final java.lang.String STATUS_CANCELING_COMPLETING

See Also:
  Constant Field Values

### STATUS_COMPLETING

    public static final java.lang.String STATUS_COMPLETING

See Also:
  Constant Field Values

### STATUS_COMPLETED

    public static final java.lang.String STATUS_COMPLETED

See Also:
  Constant Field Values

### STATUS_CLOSING

    public static final java.lang.String STATUS_CLOSING

See Also:
  Constant Field Values

### STATUS_COMPENSATING

    public static final java.lang.String STATUS_COMPENSATING

See Also:
  Constant Field Values

### STATUS_FAULTING

    public static final java.lang.String STATUS_FAULTING

See Also:
  Constant Field Values

### STATUS_FAULTING_ACTIVE

    public static final java.lang.String STATUS_FAULTING_ACTIVE

See Also:
  Constant Field Values

### STATUS_FAULTING_COMPENSATING

    public static final java.lang.String STATUS_FAULTING_COMPENSATING

See Also:
  Constant Field Values

### STATUS_EXITING

    public static final java.lang.String STATUS_EXITING

See Also:
  Constant Field Values

### STATUS_ENDED

    public static final java.lang.String STATUS_ENDED

See Also:
  Constant Field Values

Constructor Detail

### Status

    public Status()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD